Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 936)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 938)
@@ -824,11 +824,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > out_rsync 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> out_rsync 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat out_rsync
+    cat /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -848,14 +848,14 @@
   typeset status
 
-  echo cp $@ > out_rsync 2>&1
-  \cp $@ >> out_rsync 2>&1
+  echo cp $@ > /tmp/out_command.$$ 2>&1
+  \cp $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -875,14 +875,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -919,14 +919,14 @@
     typeset status
 
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
+    echo mv $@ > /tmp/out_command.$$ 2>&1
+    \mv $@ >> /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -960,8 +960,8 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      \rcp -r $1 ${STOREHOST}:$2 > out_rsync 2>&1
+      \rcp -r $1 ${STOREHOST}:$2 > /tmp/out_command.$$ 2>&1
       status=$?
     else
-      \cp -r $1 $2 > out_rsync 2>&1
+      \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
     fi
@@ -969,8 +969,8 @@
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : rcp or cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1011,5 +1011,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \rcp -rp ${STOREHOST}:$1 $2 > out_rsync 2>&1
+        \rcp -rp ${STOREHOST}:$1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1023,20 +1023,20 @@
       done
     else
-      \cp -rp $1 $2 > out_rsync 2>&1
+      \cp -rp $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ] ; then
         IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-        cat out_rsync
+        cat /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_Get_Dir"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Dir : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1069,5 +1069,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > out_rsync 2>&1
+      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -1083,8 +1083,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1125,9 +1125,9 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      mfput $1 $2 > out_rsync 2>&1
+      mfput $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
     else
       IGCM_sys_MkdirArchive $( dirname $2 )
-      \cp $1 $2 > out_rsync 2>&1
+      \cp $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
     fi
@@ -1135,23 +1135,23 @@
 #       #RSYNC WITH NETWORK RSH CALL
 #       IGCM_sys_MkdirArchive $( dirname $2 )
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Put_Rest : mfput or cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1184,5 +1184,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
@@ -1191,8 +1191,8 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1244,9 +1244,9 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived $2
     if [ $? = 0 ] ; then
-      mfput $1 $2 > out_rsync 2>&1
+      mfput $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
     else
       IGCM_sys_MkdirArchive $( dirname $2 )
-      \cp $1 $2 > out_rsync 2>&1
+      \cp $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
     fi
@@ -1254,23 +1254,23 @@
 #       #RSYNC WITH NETWORK RSH CALL
 #       IGCM_sys_MkdirArchive $( dirname $2 )
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : mfput or cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1330,5 +1330,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > out_rsync 2>&1
+        \cp $1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1349,5 +1349,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1360,5 +1360,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1407,31 +1407,31 @@
     DEBUG_sys=false IGCM_sys_IsFileArchived ${dm_liste[0]}
     if [ $? = 0 ] ; then
-      mfget ${dm_liste[*]} ${DEST} > out_rsync 2>&1
+      mfget ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
       status=$?
     else
-      \cp ${dm_liste[*]} ${DEST} > out_rsync 2>&1
+      \cp ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
       status=$?
     fi
 
 #       #RSYNC WITH NETWORK RSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} --rsync-path=${REMOTE_RSYNC} -e rsh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : mfget or cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1473,5 +1473,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1486,9 +1486,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat out_rsync
-          \rm out_rsync
+          cat /tmp/out_command.$$
+          \rm /tmp/out_command.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm out_rsync
+          \rm /tmp/out_command.$$
         fi
       done
@@ -1496,5 +1496,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1509,9 +1509,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat out_rsync
-        \rm out_rsync
+        cat /tmp/out_command.$$
+        \rm /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
@@ -1636,10 +1636,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /smphome/rech/psl/rpsl035/bin/rebuild -f -o $@ > out_rsync 2>&1
+    /smphome/rech/psl/rpsl035/bin/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1647,5 +1647,5 @@
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2035,14 +2035,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 "$@" > out_rsync 2>&1
+    ncap2 "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2077,14 +2077,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > out_rsync 2>&1
+    ncatted "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2119,14 +2119,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo $@ > out_rsync 2>&1
+    ncbo $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2161,14 +2161,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff $@ > out_rsync 2>&1
+    ncdiff $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2203,14 +2203,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea $@ > out_rsync 2>&1
+    ncea $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2245,14 +2245,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat $@ > out_rsync 2>&1
+    ncecat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2287,14 +2287,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint $@ > out_rsync 2>&1
+    ncflint $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2329,14 +2329,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks $@ > out_rsync 2>&1
+    ncks $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2371,14 +2371,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq $@ > out_rsync 2>&1
+    ncpdq $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2413,14 +2413,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra $@ > out_rsync 2>&1
+    ncra $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2455,24 +2455,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat $@ > out_rsync 2>&1
+    ncrcat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" out_rsync )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat out_rsync
+      cat /tmp/out_command.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2507,14 +2507,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > out_rsync 2>&1
+    ncrename $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2549,14 +2549,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa $@ > out_rsync 2>&1
+    ncwa $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2588,10 +2588,10 @@
   typeset status
 
-  \cdo $@ > out_rsync 2>&1
+  \cdo $@ > /tmp/out_command.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat out_rsync
-    \rm out_rsync
+    cat /tmp/out_command.$$
+    \rm /tmp/out_command.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 936)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 938)
@@ -846,11 +846,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > out_rsync 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> out_rsync 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat out_rsync
+    cat /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -870,14 +870,14 @@
   typeset status
 
-  echo cp $@ > out_rsync 2>&1
-  \cp $@ >> out_rsync 2>&1
+  echo cp $@ > /tmp/out_command.$$ 2>&1
+  \cp $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -897,14 +897,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -925,14 +925,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_RmRunDir : rm error code is ${status}."
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_RmRunDir"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_RmRunDir"
@@ -954,14 +954,14 @@
     typeset status
 
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
+    echo mv $@ > /tmp/out_command.$$ 2>&1
+    \mv $@ >> /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -993,13 +993,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > out_rsync 2>&1
+    \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1039,5 +1039,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -ur $1 $2 >> out_rsync 2>&1
+      \cp -ur $1 $2 >> /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ] ; then
@@ -1053,8 +1053,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Dir : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1087,5 +1087,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > out_rsync 2>&1
+      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -1101,8 +1101,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1136,19 +1136,19 @@
     #
     # USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
@@ -1158,5 +1158,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
@@ -1167,5 +1167,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1193,5 +1193,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
@@ -1200,5 +1200,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
@@ -1209,5 +1209,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1294,5 +1294,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > out_rsync 2>&1
+        \cp $1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1311,15 +1311,15 @@
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
@@ -1329,5 +1329,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
@@ -1340,5 +1340,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1398,5 +1398,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > out_rsync 2>&1
+        \cp $1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1417,5 +1417,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1428,5 +1428,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1479,29 +1479,29 @@
     #fi
 
-    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       echo "WARNING IGCM_sys_Get : error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       echo "WARNING IGCM_sys_Get : will stop later if the cp fails."
     fi
 
     #if [ ${status} -gt 0 ] ; then
-    #  if [ ! "X$( grep "Lost dmusrcmd connection" out_rsync )" = "X" ] ; then
-    #    cat out_rsync
+    #  if [ ! "X$( grep "Lost dmusrcmd connection" /tmp/out_command.$$ )" = "X" ] ; then
+    #    cat /tmp/out_command.$$
     #    echo "WARNING IGCM_sys_Get : Lost dmusrcmd connection : "
     #    sleep 30
     #    echo "We try another time"
-    ##    dmget ${dm_liste[*]} > out_rsync 2>&1
-    #    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
+    ##    dmget ${dm_liste[*]} > /tmp/out_command.$$ 2>&1
+    #    ccc_hsm get ${dm_liste[*]} > /tmp/out_command.$$ 2>&1
     #    status=$?
     #    if [ ${status} -gt 0 ] ; then
     #      echo "ERROR IGCM_sys_Get : again demigration error :"
-    #      cat out_rsync
+    #      cat /tmp/out_command.$$
     #      IGCM_debug_Exit "IGCM_sys_Get"
     #    fi
     #  else
     #    echo "ERROR IGCM_sys_Get : demigration error :"
-    #    cat out_rsync
+    #    cat /tmp/out_command.$$
     #    IGCM_debug_Exit "IGCM_sys_Get"
     #  fi
@@ -1509,15 +1509,15 @@
 
     #   #RSYNC WITH NETWORK SSH CALL
-    #   echo ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > out_rsync 2>&1
-    #   ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> out_rsync 2>&1
+    #   echo ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
+    #   ${RSYNC} ${RSYNC_opt} -e ssh ${STOREHOST}:"${dm_liste}" ${STOREHOST}:${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
 
     #   #RSYNC WITH NFS USE
-    #   echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > out_rsync 2>&1
-    #   ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> out_rsync 2>&1
+    #   echo ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} > /tmp/out_command.$$ 2>&1
+    #   ${RSYNC} ${RSYNC_opt} ${dm_liste} ${RUN_DIR}/${DEST} >> /tmp/out_command.$$ 2>&1
 
     #   status=$?
     #   IGCM_sys_Rsync_out $status
 
-    #   ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+    #   ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
     #   (( status=status+$? ))
 
@@ -1535,5 +1535,5 @@
           i=0
           while [ $i -lt $NB_ESSAI ] ; do
-            \cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+            \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
             status=$?
             if [ ${status} -gt 0 ]; then
@@ -1548,9 +1548,9 @@
           if [ ${status} -gt 0 ] ; then
             echo "IGCM_sys_Get : error"
-            cat out_rsync
-            \rm out_rsync
+            cat /tmp/out_command.$$
+            \rm /tmp/out_command.$$
             IGCM_debug_Exit "IGCM_sys_Get"
           else
-            \rm out_rsync
+            \rm /tmp/out_command.$$
           fi
         fi
@@ -1559,5 +1559,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${dm_liste} ${DEST} >> out_rsync 2>&1
+        \cp ${dm_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1572,9 +1572,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat out_rsync
-        \rm out_rsync
+        cat /tmp/out_command.$$
+        \rm /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_Get"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
@@ -1617,5 +1617,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1630,9 +1630,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat out_rsync
-          \rm out_rsync
+          cat /tmp/out_command.$$
+          \rm /tmp/out_command.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm out_rsync
+          \rm /tmp/out_command.$$
         fi
       done
@@ -1640,5 +1640,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1653,9 +1653,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat out_rsync
-        \rm out_rsync
+        cat /tmp/out_command.$$
+        \rm /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
@@ -1850,10 +1850,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ~p86ipsl/X64_CURIE/bin/rebuild -f -o $@ > out_rsync 2>&1
+    ~p86ipsl/X64_CURIE/bin/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1861,5 +1861,5 @@
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2357,14 +2357,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 "$@" > out_rsync 2>&1
+    ncap2 "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2399,14 +2399,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > out_rsync 2>&1
+    ncatted "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2441,14 +2441,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo $@ > out_rsync 2>&1
+    ncbo $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2483,14 +2483,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff $@ > out_rsync 2>&1
+    ncdiff $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2525,14 +2525,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea $@ > out_rsync 2>&1
+    ncea $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2567,14 +2567,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat $@ > out_rsync 2>&1
+    ncecat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2609,14 +2609,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint $@ > out_rsync 2>&1
+    ncflint $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2651,14 +2651,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks $@ > out_rsync 2>&1
+    ncks $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2693,14 +2693,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq $@ > out_rsync 2>&1
+    ncpdq $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2735,14 +2735,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra $@ > out_rsync 2>&1
+    ncra $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2777,24 +2777,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat $@ > out_rsync 2>&1
+    ncrcat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" out_rsync )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat out_rsync
+      cat /tmp/out_command.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2829,14 +2829,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > out_rsync 2>&1
+    ncrename $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2871,14 +2871,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa $@ > out_rsync 2>&1
+    ncwa $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2910,10 +2910,10 @@
   typeset status
 
-  \cdo $@ > out_rsync 2>&1
+  \cdo $@ > /tmp/out_command.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat out_rsync
-    \rm out_rsync
+    cat /tmp/out_command.$$
+    \rm /tmp/out_command.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 936)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 938)
@@ -720,11 +720,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > out_rsync 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> out_rsync 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat out_rsync
+    cat /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -744,14 +744,14 @@
   typeset status
 
-  echo cp $@ > out_rsync 2>&1
-  \cp $@ >> out_rsync 2>&1
+  echo cp $@ > /tmp/out_command.$$ 2>&1
+  \cp $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -771,14 +771,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -816,14 +816,14 @@
     typeset status
 
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
+    echo mv $@ > /tmp/out_command.$$ 2>&1
+    \mv $@ >> /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -855,13 +855,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > out_rsync 2>&1
+    \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -889,13 +889,13 @@
 
     #USUAL WAY
-    \cp -ur $1 $2 > out_rsync 2>&1
+    \cp -ur $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -928,5 +928,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > out_rsync 2>&1
+      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -942,8 +942,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -984,27 +984,27 @@
     #
     #USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Put_Rest : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1037,5 +1037,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
@@ -1044,8 +1044,8 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1093,18 +1093,18 @@
     #
 
-    echo ${RSYNC} ${RSYNC_opt} $1 $2 > out_rsync 2>&1
-    ${RSYNC} ${RSYNC_opt} $1 $2 >> out_rsync 2>&1
+    echo ${RSYNC} ${RSYNC_opt} $1 $2 > /tmp/out_command.$$ 2>&1
+    ${RSYNC} ${RSYNC_opt} $1 $2 >> /tmp/out_command.$$ 2>&1
     status=$?
     IGCM_sys_Rsync_out $status
 
-    ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+    ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
     (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : rsync failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1164,5 +1164,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > out_rsync 2>&1
+        \cp $1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1183,5 +1183,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1194,5 +1194,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1232,13 +1232,13 @@
 
     #USUAL WAY
-    \cp ${dm_liste[*]} ${DEST} > out_rsync 2>&1
+    \cp ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1280,5 +1280,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1293,9 +1293,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat out_rsync
-          \rm out_rsync
+          cat /tmp/out_command.$$
+          \rm /tmp/out_command.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm out_rsync
+          \rm /tmp/out_command.$$
         fi
       done
@@ -1303,5 +1303,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1316,9 +1316,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat out_rsync
-        \rm out_rsync
+        cat /tmp/out_command.$$
+        \rm /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
@@ -1421,10 +1421,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    rebuild -f -o $@ > out_rsync 2>&1
+    rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1432,5 +1432,5 @@
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -1940,14 +1940,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 "$@" > out_rsync 2>&1
+    ncap2 "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -1982,14 +1982,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > out_rsync 2>&1
+    ncatted "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2024,14 +2024,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo $@ > out_rsync 2>&1
+    ncbo $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2066,14 +2066,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff $@ > out_rsync 2>&1
+    ncdiff $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2108,14 +2108,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea $@ > out_rsync 2>&1
+    ncea $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2150,14 +2150,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat $@ > out_rsync 2>&1
+    ncecat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2192,14 +2192,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint $@ > out_rsync 2>&1
+    ncflint $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2234,14 +2234,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks $@ > out_rsync 2>&1
+    ncks $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2276,14 +2276,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq $@ > out_rsync 2>&1
+    ncpdq $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2318,14 +2318,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra $@ > out_rsync 2>&1
+    ncra $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2360,24 +2360,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat $@ > out_rsync 2>&1
+    ncrcat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" out_rsync )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat out_rsync
+      cat /tmp/out_command.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2412,14 +2412,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > out_rsync 2>&1
+    ncrename $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2454,14 +2454,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa $@ > out_rsync 2>&1
+    ncwa $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2493,10 +2493,10 @@
   typeset status
 
-  \cdo $@ > out_rsync 2>&1
+  \cdo $@ > /tmp/out_command.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat out_rsync
-    \rm out_rsync
+    cat /tmp/out_command.$$
+    \rm /tmp/out_command.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 936)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 938)
@@ -765,11 +765,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > out_rsync 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> out_rsync 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat out_rsync
+    cat /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -789,14 +789,14 @@
   typeset status
 
-  echo cp $@ > out_rsync 2>&1
-  \cp $@ >> out_rsync 2>&1
+  echo cp $@ > /tmp/out_command.$$ 2>&1
+  \cp $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -816,14 +816,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -844,14 +844,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_RmRunDir : rm error code is ${status}."
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_RmRunDir"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_RmRunDir"
@@ -873,14 +873,14 @@
     typeset status
 
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
+    echo mv $@ > /tmp/out_command.$$ 2>&1
+    \mv $@ >> /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -912,13 +912,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > out_rsync 2>&1
+    \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -946,13 +946,13 @@
 
     #USUAL WAY
-    \cp -ur $1 $2 > out_rsync 2>&1
+    \cp -ur $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -985,5 +985,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > out_rsync 2>&1
+      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -999,8 +999,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1041,13 +1041,13 @@
     #
     #USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Put_Rest : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1080,5 +1080,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
@@ -1087,8 +1087,8 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1136,13 +1136,13 @@
     #
     #USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1202,5 +1202,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > out_rsync 2>&1
+        \cp $1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1221,5 +1221,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1232,5 +1232,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1277,13 +1277,13 @@
 
     #USUAL WAY
-    \cp ${dm_liste[*]} ${DEST} > out_rsync 2>&1
+    \cp ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1325,5 +1325,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1338,9 +1338,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat out_rsync
-          \rm out_rsync
+          cat /tmp/out_command.$$
+          \rm /tmp/out_command.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm out_rsync
+          \rm /tmp/out_command.$$
         fi
       done
@@ -1348,5 +1348,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1361,9 +1361,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat out_rsync
-        \rm out_rsync
+        cat /tmp/out_command.$$
+        \rm /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
@@ -1458,10 +1458,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /gpfs1/home/sebastien/REBUILD/rebuild -f -o $@ > out_rsync 2>&1
+    /gpfs1/home/sebastien/REBUILD/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1469,5 +1469,5 @@
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -1883,14 +1883,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 "$@" > out_rsync 2>&1
+    ncap2 "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -1925,14 +1925,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > out_rsync 2>&1
+    ncatted "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -1967,14 +1967,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo $@ > out_rsync 2>&1
+    ncbo $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2009,14 +2009,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff $@ > out_rsync 2>&1
+    ncdiff $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2051,14 +2051,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea $@ > out_rsync 2>&1
+    ncea $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2093,14 +2093,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat $@ > out_rsync 2>&1
+    ncecat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2135,14 +2135,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint $@ > out_rsync 2>&1
+    ncflint $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2177,14 +2177,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks $@ > out_rsync 2>&1
+    ncks $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2219,14 +2219,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq $@ > out_rsync 2>&1
+    ncpdq $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2261,14 +2261,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra $@ > out_rsync 2>&1
+    ncra $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2303,24 +2303,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat $@ > out_rsync 2>&1
+    ncrcat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" out_rsync )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat out_rsync
+      cat /tmp/out_command.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2355,14 +2355,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > out_rsync 2>&1
+    ncrename $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2397,14 +2397,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa $@ > out_rsync 2>&1
+    ncwa $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2436,10 +2436,10 @@
   typeset status
 
-  \cdo $@ > out_rsync 2>&1
+  \cdo $@ > /tmp/out_command.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat out_rsync
-    \rm out_rsync
+    cat /tmp/out_command.$$
+    \rm /tmp/out_command.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 936)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 938)
@@ -738,11 +738,11 @@
   mkdir -p ${HOME}/MIRROR/${PATHlibIGCM}
 
-  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > out_rsync 2>&1
-  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> out_rsync 2>&1
+  echo ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} > /tmp/out_command.$$ 2>&1
+  ${RSYNC} ${RSYNC_opt} ${libIGCM} ${HOME}/MIRROR/${PATHlibIGCM} >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Mirror_libIGCM Warning : no libIGCM on frontend."
-    cat out_rsync
+    cat /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Mirror_libIGCM"
@@ -762,14 +762,14 @@
   typeset status
 
-  echo cp $@ > out_rsync 2>&1
-  \cp $@ >> out_rsync 2>&1
+  echo cp $@ > /tmp/out_command.$$ 2>&1
+  \cp $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Cp : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Cp"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Cp"
@@ -789,14 +789,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_Rm : error code ${status}"
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_Rm"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_Rm"
@@ -817,14 +817,14 @@
   typeset status
 
-  echo rm $@ > out_rsync 2>&1
-  \rm $@ >> out_rsync 2>&1
+  echo rm $@ > /tmp/out_command.$$ 2>&1
+  \rm $@ >> /tmp/out_command.$$ 2>&1
   status=$?
 
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_RmRunDir : rm error code is ${status}."
-    cat out_rsync
+    cat /tmp/out_command.$$
     IGCM_debug_Exit "IGCM_sys_RmRunDir"
   else
-    \rm out_rsync
+    \rm /tmp/out_command.$$
   fi
   IGCM_debug_PopStack "IGCM_sys_RmRunDir"
@@ -846,14 +846,14 @@
     typeset status
 
-    echo mv $@ > out_rsync 2>&1
-    \mv $@ >> out_rsync 2>&1
+    echo mv $@ > /tmp/out_command.$$ 2>&1
+    \mv $@ >> /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Mv : error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Mv"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -884,13 +884,13 @@
     #
     #USUAL WAY
-    \cp -r $1 $2 > out_rsync 2>&1
+    \cp -r $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -918,13 +918,13 @@
 
     #USUAL WAY
-    \cp -ur $1 $2 > out_rsync 2>&1
+    \cp -ur $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get_Dir : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Dir"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -957,5 +957,5 @@
     i=0
     while [ $i -lt $NB_ESSAI ] ; do
-      \cp -urL $1 $2 > out_rsync 2>&1
+      \cp -urL $1 $2 > /tmp/out_command.$$ 2>&1
       status=$?
       if [ ${status} -gt 0 ]; then
@@ -971,8 +971,8 @@
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Get_Master : error."
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1013,27 +1013,27 @@
     #
     #USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
 #       #RSYNC WITH NETWORK SSH CALL
-#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> /tmp/out_command.$$ 2>&1
 
 #       #RSYNC WITH NFS USE
-#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > out_rsync 2>&1
-#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> out_rsync 2>&1
+#       echo ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} > /tmp/out_command.$$ 2>&1
+#       ${RSYNC} ${RSYNC_opt} ${RUN_DIR}/$1 ${2} >> /tmp/out_command.$$ 2>&1
 
 #       status=$?
 #       IGCM_sys_Rsync_out $status
 
-#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+#       ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
 #       (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       echo "IGCM_sys_Put_Rest : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1066,5 +1066,5 @@
     #
     # USUAL WAY
-    \cp $1 $2 > out_rsync 2>&1
+    \cp $1 $2 > /tmp/out_command.$$ 2>&1
     status=$?
 
@@ -1073,8 +1073,8 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Rest"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1122,18 +1122,18 @@
     #
 
-    echo ${RSYNC} ${RSYNC_opt} $1 $2 > out_rsync 2>&1
-    ${RSYNC} ${RSYNC_opt} $1 $2 >> out_rsync 2>&1
+    echo ${RSYNC} ${RSYNC_opt} $1 $2 > /tmp/out_command.$$ 2>&1
+    ${RSYNC} ${RSYNC_opt} $1 $2 >> /tmp/out_command.$$ 2>&1
     status=$?
     IGCM_sys_Rsync_out $status
 
-    ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk out_rsync
+    ${libIGCM}/libIGCM_sys/IGCM_analyse_rsync_out.awk /tmp/out_command.$$
     (( status=status+$? ))
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Put_Out : rsync failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Put_Out"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1193,5 +1193,5 @@
       while [ $i -lt $NB_ESSAI ] ; do
         # USUAL WAY
-        \cp $1 $2 > out_rsync 2>&1
+        \cp $1 $2 > /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1212,5 +1212,5 @@
       [ -f ${2} ] && ls -l ${2}
       [ -f ${2}/${1} ] && ls -l ${2}/${1}
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_PutBuffer_Out"
     else
@@ -1223,5 +1223,5 @@
       fi
 
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1261,13 +1261,13 @@
 
     #USUAL WAY
-    \cp ${dm_liste[*]} ${DEST} > out_rsync 2>&1
+    \cp ${dm_liste[*]} ${DEST} > /tmp/out_command.$$ 2>&1
     status=$?
 
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_Get : cp failed error code ${status}"
-      cat out_rsync
+      cat /tmp/out_command.$$
       IGCM_debug_Exit "IGCM_sys_Get"
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
     fi
   fi
@@ -1309,5 +1309,5 @@
         i=0
         while [ $i -lt $NB_ESSAI ] ; do
-          \cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+          \cp ${target} ${DEST}/${local_file} >> /tmp/out_command.$$ 2>&1
           status=$?
           if [ ${status} -gt 0 ]; then
@@ -1322,9 +1322,9 @@
         if [ ${status} -gt 0 ] ; then
           echo "IGCM_sys_Get : error"
-          cat out_rsync
-          \rm out_rsync
+          cat /tmp/out_command.$$
+          \rm /tmp/out_command.$$
           IGCM_debug_Exit "IGCM_sys_GetBuffer"
         else
-          \rm out_rsync
+          \rm /tmp/out_command.$$
         fi
       done
@@ -1332,5 +1332,5 @@
       i=0
       while [ $i -lt $NB_ESSAI ] ; do
-        \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+        \cp ${buf_liste} ${DEST} >> /tmp/out_command.$$ 2>&1
         status=$?
         if [ ${status} -gt 0 ]; then
@@ -1345,9 +1345,9 @@
       if [ ${status} -gt 0 ] ; then
         echo "IGCM_sys_Get : error"
-        cat out_rsync
-        \rm out_rsync
+        cat /tmp/out_command.$$
+        \rm /tmp/out_command.$$
         IGCM_debug_Exit "IGCM_sys_GetBuffer"
       else
-        \rm out_rsync
+        \rm /tmp/out_command.$$
       fi
     fi
@@ -1450,10 +1450,10 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    /home/users/igcmg/rebuild/bin/rebuild -f -o $@ > out_rsync 2>&1
+    /home/users/igcmg/rebuild/bin/rebuild -f -o $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_rebuild : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       firstArg=${1}
@@ -1461,5 +1461,5 @@
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -1969,14 +1969,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncap2 "$@" > out_rsync 2>&1
+    ncap2 "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2011,14 +2011,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncatted "$@" > out_rsync 2>&1
+    ncatted "$@" > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncatted : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2053,14 +2053,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncbo $@ > out_rsync 2>&1
+    ncbo $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncbo : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2095,14 +2095,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncdiff $@ > out_rsync 2>&1
+    ncdiff $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2137,14 +2137,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncea $@ > out_rsync 2>&1
+    ncea $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncea : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2179,14 +2179,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncecat $@ > out_rsync 2>&1
+    ncecat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncecat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2221,14 +2221,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncflint $@ > out_rsync 2>&1
+    ncflint $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncflint : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2263,14 +2263,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncks $@ > out_rsync 2>&1
+    ncks $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncks : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2305,14 +2305,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncpdq $@ > out_rsync 2>&1
+    ncpdq $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2347,14 +2347,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncra $@ > out_rsync 2>&1
+    ncra $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncra : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2389,24 +2389,24 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrcat $@ > out_rsync 2>&1
+    ncrcat $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
-    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" out_rsync )" = "X" ] ; then
+    elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" /tmp/out_command.$$ )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
-      cat out_rsync
+      cat /tmp/out_command.$$
       # remove files having corrupted time axis
       eval lastArg=\${$#}
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
       \rm ${lastArg}
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2441,14 +2441,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncrename $@ > out_rsync 2>&1
+    ncrename $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrename : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2483,14 +2483,14 @@
   i=0
   while [ $i -lt $NB_ESSAI ] ; do
-    ncwa $@ > out_rsync 2>&1
+    ncwa $@ > /tmp/out_command.$$ 2>&1
     status=$?
     if [ ${status} -gt 0 ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncwa : error code ${status}"
-      cat out_rsync
-      \rm out_rsync
+      cat /tmp/out_command.$$
+      \rm /tmp/out_command.$$
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
       sleep $DELAI
     else
-      \rm out_rsync
+      \rm /tmp/out_command.$$
       break
     fi
@@ -2522,10 +2522,10 @@
   typeset status
 
-  \cdo $@ > out_rsync 2>&1
+  \cdo $@ > /tmp/out_command.$$ 2>&1
   status=$?
   if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_cdo : error code ${status}"
-    cat out_rsync
-    \rm out_rsync
+    cat /tmp/out_command.$$
+    \rm /tmp/out_command.$$
     IGCM_debug_PopStack "IGCM_sys_cdo"
     return 1
